import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogQuantityCapacity } from '../dialogs/dialog.quantitycapacity';

export class FormQuantityCapacities extends Form {
  public meQuantityCapacities = new MatrixEditorQuantityCapacities();

  public constructor() {
    super('FormQuantityCapacities');
  }
}

class MatrixEditorQuantityCapacities extends MatrixEditorSOP<DialogQuantityCapacity> {
  public constructor() {
    super('MatrixEditorUnitCapacities', 'matrixeditorContextMenuUnitCapacities', new DialogQuantityCapacity());
  }
}

export enum MatrixEditorQuantityCapacitiesContextMenuItem {
  Edit = 'MenuEdit',
}
